From: "Mart Raudsepp" <leio@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/glade/
Date: Fri, 14 Aug 2020 20:45:19 +0000 (UTC) [thread overview]
Message-ID: <1597437901.fa84d1d54566598a297f8c9667744c3a4f969024.leio@gentoo> (raw)
commit: fa84d1d54566598a297f8c9667744c3a4f969024
Author: Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 14 20:38:09 2020 +0000
Commit: Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Fri Aug 14 20:45:01 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fa84d1d5
dev-util/glade: bump to 3.36.0
Package-Manager: Portage-2.3.103, Repoman-2.3.20
Signed-off-by: Mart Raudsepp <leio <AT> gentoo.org>
dev-util/glade/Manifest | 1 +
dev-util/glade/glade-3.36.0.ebuild | 91 ++++++++++++++++++++++++++++++++++++++
2 files changed, 92 insertions(+)
diff --git a/dev-util/glade/Manifest b/dev-util/glade/Manifest
index 2ba3fd1c6e8..5306dcf6e7e 100644
--- a/dev-util/glade/Manifest
+++ b/dev-util/glade/Manifest
@@ -1 +1,2 @@
DIST glade-3.22.2.tar.xz 3550008 BLAKE2B e1217e221b36938937c57ae465a3707eeadc52bc9127b3af2fb6514e572676e3e284811d5332876dce110fd321e2bb33b9ac8b0afbd97dd747725eb73309dc15 SHA512 cb82684423ae055bc8e84a8705529ecdc72957563f444633c2c5c24a922130de84c212537323b6ed259f0e29349b52dff608822610b87babb8fc3cb468a5f4b0
+DIST glade-3.36.0.tar.xz 4466808 BLAKE2B ebc93c9471225782bcbcbafc4a475638e77ad763d607188d95e8ac77b3de70f76fefe963027bb6b32ae71adeb1daafdb1a2c98363b25030d83f20f767613f68e SHA512 c984613ade26e3fe68a700a48cccadf5ac96eb716a6e90aad36f3de684faeb607d9aaf112d74a048cd33e222a02388ee6583ca915648486f0259cc805e16d243
diff --git a/dev-util/glade/glade-3.36.0.ebuild b/dev-util/glade/glade-3.36.0.ebuild
new file mode 100644
index 00000000000..57e88a13c23
--- /dev/null
+++ b/dev-util/glade/glade-3.36.0.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+GNOME2_LA_PUNT="yes"
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit gnome2 python-single-r1 virtualx
+
+DESCRIPTION="A user interface designer for GTK+ and GNOME"
+HOMEPAGE="https://glade.gnome.org/"
+
+LICENSE="GPL-2+ FDL-1.1+"
+SLOT="3.10/12" # subslot = suffix of libgladeui-2.so
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+
+IUSE="+introspection python webkit"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="
+ dev-libs/atk[introspection?]
+ >=dev-libs/glib-2.53.2:2
+ >=dev-libs/libxml2-2.4.0:2
+ x11-libs/cairo:=
+ x11-libs/gdk-pixbuf:2[introspection?]
+ >=x11-libs/gtk+-3.22.0:3[introspection?]
+ x11-libs/pango[introspection?]
+ introspection? ( >=dev-libs/gobject-introspection-1.32:= )
+ python? (
+ ${PYTHON_DEPS}
+ x11-libs/gtk+:3[introspection]
+ $(python_gen_cond_dep '
+ >=dev-python/pygobject-3.8:3[${PYTHON_MULTI_USEDEP}]
+ ')
+ )
+ webkit? ( >=net-libs/webkit-gtk-2.12.0:4 )
+"
+DEPEND="${RDEPEND}
+ app-text/docbook-xml-dtd:4.1.2
+ dev-libs/libxslt
+ >=dev-util/gtk-doc-am-1.13
+ dev-util/itstool
+ >=sys-devel/gettext-0.19.8
+ virtual/pkgconfig
+"
+# eautoreconf requires:
+# app-text/yelp-tools
+# dev-libs/gobject-introspection-common
+# gnome-base/gnome-common
+
+RESTRICT="test" # https://gitlab.gnome.org/GNOME/glade/issues/333
+
+PATCHES=(
+ # To avoid file collison with other slots, rename help module.
+ # Prevent the UI from loading glade:3's gladeui devhelp documentation.
+ "${FILESDIR}"/${PN}-3.14.1-doc-version.patch
+)
+
+pkg_setup() {
+ use python && python-single-r1_pkg_setup
+}
+
+src_configure() {
+ gnome2_src_configure \
+ --disable-static \
+ --disable-debug \
+ --enable-gladeui \
+ --enable-libtool-lock \
+ $(use_enable introspection) \
+ $(use_enable python) \
+ $(use_enable webkit webkit2gtk)
+}
+
+src_test() {
+ virtx emake check
+}
+
+src_install() {
+ # modify name in .devhelp2 file to avoid shadowing with glade:3 docs
+ sed -e 's:name="gladeui":name="gladeui-2":' \
+ -i doc/html/gladeui.devhelp2 || die "sed of gladeui.devhelp2 failed"
+ gnome2_src_install
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+ if ! has_version dev-util/devhelp ; then
+ elog "You may want to install dev-util/devhelp for integration API"
+ elog "documentation support."
+ fi
+}
next reply other threads:[~2020-08-14 20:45 UTC|newest]
Thread overview: 75+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-08-14 20:45 Mart Raudsepp [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-04-13 17:40 [gentoo-commits] repo/gentoo:master commit in: dev-util/glade/ Pacho Ramos
2024-05-31 7:34 Andreas Sturmlechner
2023-06-19 15:30 Matt Turner
2023-06-17 17:16 Arthur Zamarin
2023-06-17 17:16 Arthur Zamarin
2023-06-03 18:01 Arthur Zamarin
2023-06-03 3:32 Sam James
2023-06-03 2:30 Sam James
2023-06-03 2:08 Sam James
2023-06-03 2:01 Sam James
2022-11-11 20:47 Matt Turner
2022-10-19 10:07 WANG Xuerui
2022-09-30 18:37 Arthur Zamarin
2022-09-28 16:29 Arthur Zamarin
2022-09-19 1:38 Sam James
2022-08-11 16:20 Matt Turner
2022-02-09 0:54 Matt Turner
2022-02-09 0:54 Matt Turner
2021-05-22 2:33 Matt Turner
2021-05-21 14:54 Yixun Lan
2021-05-11 20:43 Sergei Trofimovich
2021-05-10 10:55 Sam James
2021-05-10 6:58 Agostino Sarubbo
2021-05-09 21:48 Sam James
2021-05-09 1:27 Sam James
2021-05-07 13:30 Sam James
2021-05-06 22:12 Sam James
2021-04-19 0:41 Matt Turner
2021-04-19 0:22 Matt Turner
2020-11-06 15:19 Sam James
2020-11-05 16:16 Sam James
2020-09-11 16:57 Sergei Trofimovich
2020-08-31 2:52 Sam James
2020-08-30 18:28 Sam James
2020-06-07 21:28 Mart Raudsepp
2020-06-07 21:02 Mart Raudsepp
2020-05-13 17:35 Sergei Trofimovich
2020-04-22 14:25 Agostino Sarubbo
2020-04-22 8:44 Agostino Sarubbo
2020-04-22 8:41 Agostino Sarubbo
2020-02-27 18:17 Mart Raudsepp
2020-01-11 20:19 Mart Raudsepp
2020-01-11 20:19 Mart Raudsepp
2019-10-13 19:04 Matt Turner
2019-09-14 23:36 Sergei Trofimovich
2019-09-08 1:13 Thomas Deutschmann
2019-09-03 0:16 Aaron Bauman
2019-09-02 10:11 Agostino Sarubbo
2019-09-02 9:32 Agostino Sarubbo
2019-09-01 18:20 Mikle Kolyada
2019-08-31 5:26 Mikle Kolyada
2019-07-28 18:17 Mart Raudsepp
2019-05-29 0:32 Aaron Bauman
2019-01-08 22:40 Mart Raudsepp
2018-12-15 12:50 Sergei Trofimovich
2018-11-24 13:36 Sergei Trofimovich
2018-05-29 12:29 Mikle Kolyada
2018-05-14 14:11 Tobias Klausmann
2018-05-04 20:46 Markus Meier
2018-04-28 17:05 Sergei Trofimovich
2018-04-26 22:32 Aaron Bauman
2018-04-20 20:28 Mart Raudsepp
2018-03-15 1:50 Mart Raudsepp
2018-03-14 21:41 Sergei Trofimovich
2018-03-14 21:09 Markus Meier
2018-03-06 21:37 Tobias Klausmann
2018-03-04 20:48 Sergei Trofimovich
2018-02-16 20:39 Sergei Trofimovich
2018-01-18 2:22 Mikle Kolyada
2018-01-13 12:13 Sergei Trofimovich
2017-12-17 23:15 Gilles Dartiguelongue
2017-06-18 21:25 Alexis Ballier
2016-12-06 20:25 Markus Meier
2016-08-21 12:44 Pacho Ramos
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1597437901.fa84d1d54566598a297f8c9667744c3a4f969024.leio@gentoo \
--to=leio@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox